
// InjectDLLDlg.h : 头文件
//

#pragma once
#include "afxwin.h"


// CInjectDLLDlg 对话框
class CInjectDLLDlg : public CDialog
{
// 构造
public:
	CInjectDLLDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_INJECTDLL_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

    std::vector<ProInfo> m_vtProInfo;
    CInjection m_Inject;
public:
    void InitCommbox();
    CString OpenInectDLL();
    afx_msg void OnBnClickedInject();
    afx_msg void OnBnClickedEject();
    afx_msg void OnBnClickedReflesh();
    CComboBox m_cbProcess;
    afx_msg void OnBnClickedHideWnd();
    afx_msg void OnBnClickedShowWnd();
	afx_msg void OnBnClickedTest();
	CComboBox m_cbBtnName;
	WNDDATA m_wndData;
	afx_msg void OnBnClickedSetdata();
	HWND FindWindow(LPCTSTR lpClassName);
	void FetchOGCWnd();
};
